<?
function create_sys_table()
 { //$_SESSION['list_db_tables']=get_db_info() ;
 	echo '<strong>Создание системных таблиц</strong><br>' ;
    FILE_LOG()->append('Проверка наличия системных таблиц') ;
   if (is_object($_SESSION['events_system'])) $_SESSION['events_system']->log_enabled=0 ;
   //include_once('admin/i_setup.php') ;

   	$pattern=array( 'table_name'		=> 	TM_DOT,
					'use_clss'			=> 	'1,101,103,104,105,108',
					'table_clss'		=> 	'101',
					'table_title'		=> 	'Объектные таблицы',
					'table_parent'		=> 	2) ;
	$pattern['def_recs'][]				=   array('parent'=>0,'clss'=>1,'indx'=>1,'enabled'=>1,'obj_name'=>'Объектные таблицы') ;
	$pattern['def_recs'][]				=   array('parent'=>1,'clss'=>103,'indx'=>1,'enabled'=>1,'obj_name'=>'Системные таблицы','table_name'=>'admin') ;
	$pattern['def_recs'][]				=   array('parent'=>1,'clss'=>103,'indx'=>2,'enabled'=>1,'obj_name'=>'Таблицы сайта','table_name'=>SITE_CODE) ;
    $id_main=create_table_by_pattern($pattern) ;

   $id_DOT=1 ;

   	$pattern=array( 'table_name'		=> 	TM_PERSONAL,
					'use_clss'			=> 	'1,95,98',
					'table_clss'		=> 	'101',
					'table_title'		=> 	'Персонал сайта',
					'table_parent'		=> 	1) ;
   	$pattern['def_recs'][]				=   array('parent'=>0,'clss'=>1,'indx'=>1,'enabled'=>1,'obj_name'=>'Персонал') ;
   	$pattern['def_recs'][]				=   array('parent'=>1,'clss'=>98,'indx'=>1,'enabled'=>1,'obj_name'=>'Админ','login'=>'admin') ;
   	create_table_by_pattern($pattern) ;

   	$pattern=array( 'table_name'		=> 	TM_LINK,
					'use_clss'			=> 	'1,102',
					'table_clss'		=> 	'101',
					'table_title'		=> 	'Связи объектов',
					'table_parent'		=> 	1) ;
   	create_table_by_pattern($pattern) ;

   	$pattern=array( 'table_name'		=> 	TM_MAIL_TURN,
					'use_clss'			=> 	'1,34',
					'table_clss'		=> 	'101',
					'table_title'		=> 	'Очередь писем',
					'table_parent'		=> 	1) ;
   	create_table_by_pattern($pattern) ;

	$pattern=array() ;
    $pattern['table_title']		    = 'crontab' ;
    $pattern['use_clss']		        = 	'276' ;
    $pattern['table_name']				= 	'obj_site_crontab' ;
    $pattern['table_clss']				= 	101 ;
    $pattern['table_parent']=1;
    create_table_by_pattern($pattern) ;

	$pattern=array() ;
    $pattern['table_title']		        = 'Роли' ;
    $pattern['use_clss']		        = 	'94' ;
    $pattern['table_name']				= 	'roles' ;
    $pattern['table_clss']				= 	101 ;
    $pattern['table_parent']=1;
    create_table_by_pattern($pattern) ;

    // настройки  -------------------------------------------------------------------------------------------------------------------
   	$pattern=array() ;
   	$pattern['table_name']		= 	TM_SETTING ;
	$pattern['table_clss']		= 	101 ;
    $pattern['table_parent']=1;
    $pattern['table_title']	    = 	'Настройки сайта' ;
    $pattern['use_clss']		=	'1,99' ;
    $pattern['def_recs'][]	    =	array ('parent'=>0,	'clss'=>1,	'obj_name'=>'Настройки сайта') ;
   	create_table_by_pattern($pattern) ;

    // списки на сайте  -------------------------------------------------------------------------------------------------------------------
    $pattern=array() ;
    $pattern['table_name']		= 	TM_LIST ;
    $pattern['table_clss']		= 	101 ;
    $pattern['table_parent']=1;
    $pattern['table_title']	    = 	'Списки на сайте' ;
    $pattern['use_clss']		=   '1,20,21,252,256,257,258,265,254' ;
    $pattern['def_recs'][]	    =	array ('parent'=>0,	'clss'=>1,	'enabled'=>1,	'indx'=>0,	'obj_name'=>'Списки на сайте') ;
    create_table_by_pattern($pattern) ;

    // журнал страниц сайта  -------------------------------------------------------------------------------------------------------------------
   	$pattern=array( 'table_name'		=> 	TM_LOG_PAGES,
					'use_clss'			=> 	'50',
					'table_clss'		=> 	'108',
					'table_title'		=> 	'Журнал страниц',
					'table_parent'		=> 	1) ;
   	create_table_by_pattern($pattern) ;

   	// Журнал ошибок на сайте   -------------------------------------------------------------------------------------------------------------------
    $pattern=array( 'table_name'		=> 	TM_LOG_SQL_ERRORS,
					'use_clss'			=> 	'51',
					'table_clss'		=> 	'108',
					'table_title'		=> 	'Журнал ошибок SQL',
					'table_parent'		=> 	1) ;
   	create_table_by_pattern($pattern) ;

   	// Журнал отладки SQL    -------------------------------------------------------------------------------------------------------------------
    $pattern=array( 'table_name'		=> 	TM_LOG_SQL_LONG,
					'use_clss'			=> 	'79',
					'table_clss'		=> 	'108',
					'table_title'		=> 	'Журнал долгих SQL запросов',
					'table_parent'		=> 	1) ;
   	create_table_by_pattern($pattern) ;

 }

?>
